%define pkg_name        Crypt-RSA
%define pkg_version     1.58
%define rpm_pkg_version 1.58
%define rpm_pkg_release 1.n0i.8

Summary:       RSA public-key cryptosystem
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/V/VI/VIPUL/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Class::Loader) >= 2.00}
%{!?_without_test:BuildRequires: perl(Convert::ASCII::Armour)}
%{!?_without_test:BuildRequires: perl(Crypt::Blowfish)}
%{!?_without_test:BuildRequires: perl(Crypt::CBC)}
%{!?_without_test:BuildRequires: perl(Crypt::Primes) >= 0.38}
%{!?_without_test:BuildRequires: perl(Crypt::Random) >= 0.34}
%{!?_without_test:BuildRequires: perl(Data::Buffer)}
%{!?_without_test:BuildRequires: perl(Data::Dumper)}
%{!?_without_test:BuildRequires: perl(Digest::MD2)}
%{!?_without_test:BuildRequires: perl(Digest::MD5)}
%{!?_without_test:BuildRequires: perl(Digest::SHA1)}
%{!?_without_test:BuildRequires: perl(Math::Pari) >= 2.001804}
%{!?_without_test:BuildRequires: perl(Sort::Versions)}
%{!?_without_test:BuildRequires: perl(Tie::EncryptedHash)}


%description
Crypt::RSA is a pure-perl, cleanroom implementation of the RSA public-key
cryptosystem. It uses Math::Pari(3), a perl interface to the blazingly fast
PARI library, for big integer arithmetic and number theoretic computations.

Crypt::RSA provides arbitrary size key-pair generation, plaintext-aware
encryption (OAEP) and digital signatures with appendix (PSS). For
compatibility with SSLv3, RSAREF2, PGP and other applications that follow
the PKCS #1 v1.5 standard, it also provides PKCS #1 v1.5 encryption and
signatures.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc ARTISTIC Changes COPYING extradocs/ README TODO


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.58-1.n0i.8
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 1.58

* Thu Nov 03 2005 Marius Feraru <altblue@n0i.net> 1.57-1.n0i.7
- version 1.57

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 1.56-1.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.55-2.n0i.5
- version 1.55

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:1.50-1.n0i.4
- automatic rebuild (perl 5.8.6)

* Wed May 05 2004 Marius Feraru <altblue@n0i.net> 0:1.50-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:1.50-0.n0i.2
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Sun Jun 29 2003 Marius FERARU <altblue@n0i.net> 1.50-0.n0i
- Initial build.
